Name:             apache-juddi
Version:          3.1.3
Release:          1%{?dist}
Summary:          TBD
Group:            Development/Libraries
License:          ASL 2.0
URL:              TBD

# svn export http://svn.apache.org/repos/asf/juddi/tags/juddi-3.1.3/ apache-juddi
# tar cafJ apache-juddi-3.1.3.tar.xz apache-juddi
Source0:          %{name}-%{version}.tar.xz

Patch0:           0001-Build-only-client-module.patch
Patch1:           0002-Change-jaxws-api-dependency.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    jboss-jaxws-2.2-api
BuildRequires:    wsdl4j

Requires:         jpackage-utils
Requires:         java
Requires:         jboss-jaxws-2.2-api
Requires:         wsdl4j

%description
JBoss WS public API

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%patch0 -p1
%patch1 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

for m in uddi-ws juddi-client; do
  # JAR
  install -pm 644 ${m}/target/${m}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/${m}.jar

  # POM
  install -pm 644 ${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-${m}.pom

  # DEPMAP
  %add_maven_depmap JPP.%{name}-${m}.pom %{name}/${m}.jar
done

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-parent.pom

#DEPMAP
%add_maven_depmap JPP.%{name}-parent.pom

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

